Subject: Re: bug#64960: Documentation for copy-sequence

From: uzibalqa <[email-masked]>
Date: Sun, 30 Jul 2023 20:41:07 +0000

------- Original Message -------
On Monday, July 31st, 2023 at 8:15 AM, Dmitry Gutov <[email-masked]> wrote:

> On 30/07/2023 23:09, uzibalqa wrote:
> 
> > It is not evident what the meaning of "shared" means ? If I use a string,
> > I get an exact copy and when I change a single character the newlist is
> > changed, the original string remains the same. So what is shared exactly ?
> 
> 
> A string doesn't share anything because characters are not reference
> values. They are simply copied.

So why does the description also refer to a string.  With strings, things
do not work like the description.

(copy-sequence ARG)